Bug 1473359 - mock --nocheck -r fedora-26-x86_64 <whatever>.src.rpm consistently fails
mock --nocheck -r fedora-26-x86_64 <whatever>.src.rpm consistently fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 11:26 EDT by Gabriel Somlo
Modified: 2017-08-23 06:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: mock-1.4.3-1.fc26 mock-1.4.3-1.fc25 mock-1.4.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-10 12:54:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Somlo 2017-07-20 11:26:53 EDT
Description of problem:
Attempting to build a src.rpm package with mock fails when using '--nocheck' option


Version-Release number of selected component (if applicable):
mock-1.4.2-1.fc26.noarch


How reproducible:
attempt to mock-build a src.rpm, with the --nocheck option added to command line


Steps to Reproduce:
1. wget dl.fedoraproject.org/pub/fedora/linux/releases/26/Everything/source/tree/packages/w/wmx-8-5.fc26.src.rpm
2. mock --nocheck -r fedora-26-x86_64 wmx-8-5.fc26.src.rpm


Actual results:
...
Finish: build setup for wmx-8-4.fc24.src.rpm
Start: rpmbuild wmx-8-4.fc24.src.rpm
Start: Outputting list of installed packages
Finish: Outputting list of installed packages
error: Macro %__spec_check_template has empty body
error: Macro %__spec_check_template has empty body
error: Macro %__spec_check_template has empty body
error: failed to stat //exit: No such file or directory
Building target platforms: x86_64
Building for target x86_64
bash: /builddir/build/SPECS/wmx.spec: Permission denied
ERROR: Exception(wmx-8-4.fc24.src.rpm) Config(fedora-26-x86_64) 0 minutes 29 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-26-x86_64/result
ERROR: Command failed: 
 # /usr/bin/systemd-nspawn -q -M 1661ff21d6734636a3d2cf67d60fd249 -D /var/lib/mock/fedora-26-x86_64/root -a --private-network --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/builddir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007" --setenv=PS1=<mock-chroot> \s-\v\$  --setenv=LANG=en_US.utf8 -u mockbuild bash --login -c /usr/bin/rpmbuild -bb --target x86_64 --nodeps --define __spec_check_template exit 0;  /builddir/build/SPECS/wmx.spec


Expected results:
Mock build completes successfully

Additional info:
1. leaving out '--nocheck' when building on an F26 install works
2. building for f26 *with* '--nocheck' on f24 (mock-1.3.4-1) also works
3. using 'rpmbuild --nocheck' directly (bypassing mock) also works on f26
Comment 1 Miroslav Suchý 2017-08-06 18:16:47 EDT
Already addressed in https://github.com/rpm-software-management/mock/pull/91
Comment 2 Fedora Update System 2017-08-06 19:46:08 EDT
mock-1.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-53f9c9cb51
Comment 3 Fedora Update System 2017-08-06 19:46:39 EDT
mock-1.4.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-204acb9aa4
Comment 4 Fedora Update System 2017-08-06 19:47:11 EDT
mock-1.4.3-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ee5b66a4c
Comment 5 Fedora Update System 2017-08-07 17:48:47 EDT
mock-1.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-53f9c9cb51
Comment 6 Fedora Update System 2017-08-07 18:25:22 EDT
mock-1.4.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4ee5b66a4c
Comment 7 Fedora Update System 2017-08-07 21:23:15 EDT
mock-1.4.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-204acb9aa4
Comment 8 Fedora Update System 2017-08-10 12:54:43 EDT
mock-1.4.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2017-08-22 08:48:17 EDT
mock-1.4.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2017-08-23 06:28:53 EDT
mock-1.4.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.